/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.datamodel;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: ValueData.java 5150 2006-04-17 06:44:21Z geaz $
 */

public interface ValueData {
	
	/**
	 * @return this value data as array of bytes
	 */
	byte[] getAsByteArray();
	
	/**
	 * set number of this value (values should be ordered)
	 */
	void setOrderNumber(int orderNum);
  
  /**
   * @return number of this value (values should be ordered)
   */
  int getOrderNumber();
}