/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.storage.value;

import java.io.IOException;
import java.util.List;
import java.util.Properties;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: $
 */

public interface ValueStoragePlugin {
  
  ValueIOChannel openIOChannel() throws IOException;
  
  List <ValuePluginFilter> getFilters();
  
  void init(Properties props, List <ValuePluginFilter> filters) throws IOException;

}
