/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.storage.jdbc;
/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: DBConstants.java 5834 2006-05-29 12:05:59Z peterit $
 */

public class DBConstants {
  //error constants
  protected static String JCR_FK_NODE_PARENT;
  protected static String JCR_FK_NODE_ITEM;
  protected static String JCR_FK_PROPERTY_NODE;
  protected static String JCR_FK_PROPERTY_ITEM;
  protected static String JCR_FK_VALUE_PROPERTY;
  
  protected static String FIND_ITEM_BY_ID;
  //protected static String FIND_NODE_BY_ID;
  //protected static String FIND_PROPERTY_BY_ID;
  protected static String FIND_ITEM_BY_PATH;
  protected static String FIND_CHILDITEM_BY_PATH;
  
  //protected static String FIND_PROPSVALUES_BY_TYPE_AND_VALUE;
  protected static String FIND_PROPERTIES_BY_VALUE;
  
  protected static String FIND_VALUES_BY_PROPERTYID;
  
  protected static String FIND_NODES_BY_PARENTID;
  protected static String FIND_NODES_IDS_BY_PARENTID;
  protected static String FIND_PROPERTIES_BY_PARENTID;
  
  protected static String FIND_NODESCOUNT_BY_PARENTID;
  protected static String FIND_PROPERTIESCOUNT_BY_PARENTID;

  protected static String INSERT_ITEM;
  protected static String INSERT_NODE;
  protected static String INSERT_PROPERTY;
  protected static String INSERT_VALUE;
  
  protected static String UPDATE_ITEM;
  protected static String UPDATE_NODE;
  protected static String UPDATE_PROPERTY;
  //protected static String UPDATE_VALUE;
  
  protected static String DELETE_ITEM;
  protected static String DELETE_NODE;
  protected static String DELETE_PROPERTY;
  protected static String DELETE_VALUE;
  
  // ITEM table
  protected static final String COLUMN_ID = "ID";
  protected static final String COLUMN_PATH = "PATH";
  protected static final String COLUMN_VERSION = "VERSION";
  
  // common NODE and VALUE 
  protected static final String COLUMN_ORDERNUM = "ORDER_NUM";
  protected static final String COLUMN_PARENTID = "PARENT_ID";
  
  // NODE table
  protected static final String COLUMN_NID = "NID";
  protected static final String COLUMN_NORDERNUM = "NORDER_NUM";
  protected static final String COLUMN_NPARENTID = "NPARENT_ID";
  
  // PROPERTY table
  protected static final String COLUMN_TYPE = "TYPE";
  protected static final String COLUMN_MULTIVALUED = "MULTIVALUED";
  protected static final String COLUMN_PID = "PID";
  protected static final String COLUMN_PTYPE = "PTYPE";
  protected static final String COLUMN_PPARENTID = "PPARENT_ID";
  protected static final String COLUMN_PMULTIVALUED = "PMULTIVALUED";

  // VALUE table
  protected static final String COLUMN_DATA = "DATA";
  protected static final String COLUMN_PROPERTYID = "PROPERTY_ID";
  protected static final String COLUMN_VDATA = "VDATA";
  protected static final String COLUMN_VORDERNUM = "VORDER_NUM";
  protected static final String COLUMN_VPROPERTYID = "VPROPERTY_ID";
    
}
