/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.jcr.core;

import javax.jcr.RepositoryException;
import javax.jcr.NamespaceException;

/**
 * Created by The eXo Platform SARL        .
 *
 * @author <a href="mailto:geaz@users.sourceforge.net">Gennady Azarenkov</a>
 * @version $Id: NamespaceAccessor.java 5150 2006-04-17 06:44:21Z geaz $
 */
public interface NamespaceAccessor {
    String getNamespaceURIByPrefix(String prefix) throws NamespaceException, RepositoryException;
    String getNamespacePrefixByURI(String uri) throws NamespaceException, RepositoryException;
    String[] getAllNamespacePrefixes() throws RepositoryException;
}
