/***************************************************************************
 * Copyright 2001-2006 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.jcr.impl.storage.rdb.container.data;

import org.exoplatform.services.jcr.datamodel.NodeData;

/**
 * Created by The eXo Platform SARL
 * Author : Peter Nedonosko
 *          peter.nedonosko@exoplatform.com.ua
 * 10.03.2006
 */
public class UnsupportedRDBOperationException extends UnsupportedOperationException {

  protected NodeData causedData = null; 
  
  public UnsupportedRDBOperationException() {
    super();
  }

  /**
   * @param message
   * @param cause
   */
  public UnsupportedRDBOperationException(String message, Throwable cause) {
    super(message, cause);
  }

  /**
   * @param message
   */
  public UnsupportedRDBOperationException(String message) {
    super(message);
  }

  /**
   * @param cause
   */
  public UnsupportedRDBOperationException(Throwable cause) {
    super(cause);
  }

  public UnsupportedRDBOperationException(String message, NodeData causedData) {
    super(message);
    this.causedData = causedData;
  }
}
